- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.LegacyGetInstallerResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyGetInstaller#body.aspect_1)

**Full name**: projects.locations.instances.legacyPublisher.legacyGetInstaller

Returns the binary installer file for the remote agent software. Use this method to download the necessary package to deploy a new publisher in a network environment.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacyPublisher:legacyGetInstaller`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance of the legacy publisher. Format: projects/{project}/locations/{location}/instances/{instance}/legacyPublisher |

### Request body

The request body must be empty.

### Response body

Response message for legacyPublisher.legacyGetInstaller.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "media": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`) } } ``` |

| Fields ||
|---|---|
| `media` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`)`` Required. The media object to be downloaded containing the installer. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPublisher.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).